for file in $(ls data_uncompressed/);
do
    input_file=data_uncompressed/$file
    output_file=data/$file.gz
    
    gzip < $input_file > $output_file
    
    originalSize=$(stat -c %s $input_file)
    compreeedSize=$(stat -c %s $output_file)
    printf "%s \n\t- old size: %d\n\t- new size: %d\n\n" $file $originalSize $compreeedSize
    
    if [[ "$originalSize" -lt "$compreeedSize" ]];
    then
        rm $output_file
        cp $input_file data/$file
    fi
done